package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ProductionOutputRealtimePO;
import mhp.oee.po.gen.ProductionOutputRealtimePOExample;

public interface ProductionOutputRealtimePOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_realtime
     *
     * @mbggenerated
     */
    int countByExample(ProductionOutputRealtimePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_realtime
     *
     * @mbggenerated
     */
    int deleteByExample(ProductionOutputRealtimePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_realtime
     *
     * @mbggenerated
     */
    int insert(ProductionOutputRealtimePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_realtime
     *
     * @mbggenerated
     */
    int insertSelective(ProductionOutputRealtimePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_realtime
     *
     * @mbggenerated
     */
    List<ProductionOutputRealtimePO> selectByExample(ProductionOutputRealtimePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_realtime
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ProductionOutputRealtimePO record, @Param("example") ProductionOutputRealtimePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_realtime
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ProductionOutputRealtimePO record, @Param("example") ProductionOutputRealtimePOExample example);
}